// -alpha_dither no -dither  -non_opaque_image_format ARGB8888 -opaque_image_format RGB565 0x76b544ce
// Generated by imageconverter. Please, do not edit!

#include <touchgfx/Bitmap.hpp>
#include <BitmapDatabase.hpp>

#ifndef NO_USING_NAMESPACE_TOUCHGFX
using namespace touchgfx;
#endif

extern const unsigned char _blue_area_button_active[];
extern const unsigned char _blue_area_button_inactive[];
extern const unsigned char _blue_dots_button_active[];
extern const unsigned char _blue_dots_button_inactive[];
extern const unsigned char _blue_line_button_active[];
extern const unsigned char _blue_line_button_inactive[];
extern const unsigned char _control_center_button[];
extern const unsigned char _control_center_button_pressed[];
extern const unsigned char _control_color_wheel[];
extern const unsigned char _control_menu_arrow_down[];
extern const unsigned char _control_menu_arrow_down_inactive[];
extern const unsigned char _control_menu_arrow_down_pressed[];
extern const unsigned char _control_menu_arrow_up[];
extern const unsigned char _control_menu_arrow_up_inactive[];
extern const unsigned char _control_menu_arrow_up_pressed[];
extern const unsigned char _control_menu_button[];
extern const unsigned char _control_menu_button_pressed[];
extern const unsigned char _control_menu_icon_datepicker_large[];
extern const unsigned char _control_menu_icon_datepicker_small[];
extern const unsigned char _control_menu_icon_gauge_large[];
extern const unsigned char _control_menu_icon_gauge_small[];
extern const unsigned char _control_menu_icon_percentage_large[];
extern const unsigned char _control_menu_icon_percentage_small[];
extern const unsigned char _control_menu_icon_three_way_large[];
extern const unsigned char _control_menu_icon_three_way_small[];
extern const unsigned char _control_menu_shadow_bottom[];
extern const unsigned char _control_menu_shadow_top[];
extern const unsigned char _controls_background[];
extern const unsigned char _controls_menu_background[];
extern const unsigned char _controls_three_way_small_circle[];
extern const unsigned char _controls_wheel_background[];
extern const unsigned char _datepicker_bottom_shadow_overlay[];
extern const unsigned char _datepicker_glass_overlay[];
extern const unsigned char _datepicker_main_background[];
extern const unsigned char _datepicker_top_shadow_overlay[];
extern const unsigned char _demo_button_01[];
extern const unsigned char _demo_button_01_pressed[];
extern const unsigned char _demo_button_02_03[];
extern const unsigned char _demo_button_02_03_pressed[];
extern const unsigned char _demo_button_04[];
extern const unsigned char _demo_button_04_pressed[];
extern const unsigned char _demo_button_05_06[];
extern const unsigned char _demo_button_05_06_pressed[];
extern const unsigned char _easing_background[];
extern const unsigned char _easing_bottom_menu[];
extern const unsigned char _easing_bottom_menu_active[];
extern const unsigned char _easing_bottom_menu_selected[];
extern const unsigned char _easing_dot[];
extern const unsigned char _easing_menu_button[];
extern const unsigned char _easing_menu_button_pressed[];
extern const unsigned char _easing_side_menu_button[];
extern const unsigned char _easing_side_menu_button_active[];
extern const unsigned char _easing_side_menu_button_selected[];
extern const unsigned char _flag_dnk_active[];
extern const unsigned char _flag_dnk_inactive[];
extern const unsigned char _flag_gbr_active[];
extern const unsigned char _flag_gbr_inactive[];
extern const unsigned char _flag_jpn_active[];
extern const unsigned char _flag_jpn_inactive[];
extern const unsigned char _flag_nld_active[];
extern const unsigned char _flag_nld_inactive[];
extern const unsigned char _flag_ukr_active[];
extern const unsigned char _flag_ukr_inactive[];
extern const unsigned char _gauge_background[];
extern const unsigned char _gauge_needle_pin[];
extern const unsigned char _graphDot[];
extern const unsigned char _graph_background_bottom[];
extern const unsigned char _graph_menu_button[];
extern const unsigned char _graph_menu_button_pressed[];
extern const unsigned char _graph_toggle_button_active[];
extern const unsigned char _graph_toggle_button_inactive[];
extern const unsigned char _graph_top_menu_activate_button[];
extern const unsigned char _graph_top_menu_line[];
extern const unsigned char _green_area_button_active[];
extern const unsigned char _green_area_button_inactive[];
extern const unsigned char _green_dots_button_active[];
extern const unsigned char _green_dots_button_inactive[];
extern const unsigned char _green_line_button_active[];
extern const unsigned char _green_line_button_inactive[];
extern const unsigned char _half_circle_toggle_button_active[];
extern const unsigned char _half_circle_toggle_button_inactive[];
extern const unsigned char _menu_demo_screen_02[];
extern const unsigned char _menu_demo_screen_03[];
extern const unsigned char _menu_demo_screen_04[];
extern const unsigned char _menu_demo_screen_05[];
extern const unsigned char _menu_stage_stretch_left_side[];
extern const unsigned char _menu_stage_stretch_right_side[];
extern const unsigned char _new_graph[];
extern const unsigned char _new_graph_pressed[];
extern const unsigned char _new_pie_chart[];
extern const unsigned char _new_pie_chart_pressed[];
extern const unsigned char _pie_chart_legend_blue[];
extern const unsigned char _pie_chart_legend_blue_active[];
extern const unsigned char _pie_chart_legend_green[];
extern const unsigned char _pie_chart_legend_green_active[];
extern const unsigned char _pie_chart_legend_orange[];
extern const unsigned char _pie_chart_legend_orange_active[];
extern const unsigned char _pie_chart_legend_purple[];
extern const unsigned char _pie_chart_legend_purple_active[];
extern const unsigned char _pie_chart_legend_red[];
extern const unsigned char _pie_chart_legend_red_active[];
extern const unsigned char _pie_chart_legend_yellow[];
extern const unsigned char _pie_chart_legend_yellow_active[];
extern const unsigned char _pie_toggle_button_active[];
extern const unsigned char _pie_toggle_button_inactive[];
extern const unsigned char _poster_image_00[];
extern const unsigned char _poster_image_01[];
extern const unsigned char _poster_image_02[];
extern const unsigned char _product_presenter_menu_button[];
extern const unsigned char _product_presenter_menu_button_pressed[];
extern const unsigned char _product_presenter_nav_bar[];
extern const unsigned char _product_presenter_next[];
extern const unsigned char _product_presenter_next_pressed[];
extern const unsigned char _screen_swipe_dots_active[];
extern const unsigned char _screen_swipe_dots_inactive[];
extern const unsigned char _small_circle_bin_icon_active[];
extern const unsigned char _small_circle_bin_icon_inactive[];
extern const unsigned char _small_circle_folder_icon_active[];
extern const unsigned char _small_circle_folder_icon_inactive[];
extern const unsigned char _small_circle_papers_icon_active[];
extern const unsigned char _small_circle_papers_icon_inactive[];

const touchgfx::Bitmap::BitmapData bitmap_database[] =
{
    { _blue_area_button_active, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _blue_area_button_inactive, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _blue_dots_button_active, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _blue_dots_button_inactive, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _blue_line_button_active, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _blue_line_button_inactive, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _control_center_button, 0, 191, 191, 35, 34, 121, 123, touchgfx::Bitmap::ARGB8888 },
    { _control_center_button_pressed, 0, 191, 191, 35, 34, 121, 123, touchgfx::Bitmap::ARGB8888 },
    { _control_color_wheel, 0, 248, 248, 0, 0, 248, 248, touchgfx::Bitmap::RGB565 },
    { _control_menu_arrow_down, 0, 96, 56, 0, 0, 96, 56, touchgfx::Bitmap::RGB565 },
    { _control_menu_arrow_down_inactive, 0, 96, 56, 0, 0, 96, 56, touchgfx::Bitmap::RGB565 },
    { _control_menu_arrow_down_pressed, 0, 96, 56, 0, 0, 96, 56, touchgfx::Bitmap::RGB565 },
    { _control_menu_arrow_up, 0, 96, 56, 0, 0, 96, 56, touchgfx::Bitmap::RGB565 },
    { _control_menu_arrow_up_inactive, 0, 96, 56, 0, 0, 96, 56, touchgfx::Bitmap::RGB565 },
    { _control_menu_arrow_up_pressed, 0, 96, 56, 0, 0, 96, 56, touchgfx::Bitmap::RGB565 },
    { _control_menu_button, 0, 60, 58, 0, 0, 60, 58, touchgfx::Bitmap::RGB565 },
    { _control_menu_button_pressed, 0, 60, 58, 0, 0, 60, 58, touchgfx::Bitmap::RGB565 },
    { _control_menu_icon_datepicker_large, 0, 46, 46, 3, 13, 4, 20, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_datepicker_small, 0, 26, 26, 22, 9, 3, 8, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_gauge_large, 0, 46, 46, 38, 15, 5, 16, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_gauge_small, 0, 26, 26, 7, 2, 11, 2, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_percentage_large, 0, 46, 46, 3, 13, 4, 20, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_percentage_small, 0, 26, 26, 7, 22, 11, 2, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_three_way_large, 0, 46, 46, 16, 40, 13, 4, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_three_way_small, 0, 26, 26, 8, 23, 9, 2, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_shadow_bottom, 0, 96, 35, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_shadow_top, 0, 96, 40, 0, 0, 96, 5, touchgfx::Bitmap::ARGB8888 },
    { _controls_background, 0, 380, 272, 0, 0, 380, 272, touchgfx::Bitmap::RGB565 },
    { _controls_menu_background, 0, 100, 272, 0, 0, 100, 272, touchgfx::Bitmap::RGB565 },
    { _controls_three_way_small_circle, 0, 63, 63, 12, 12, 39, 39, touchgfx::Bitmap::ARGB8888 },
    { _controls_wheel_background, 0, 248, 248, 0, 0, 248, 248, touchgfx::Bitmap::RGB565 },
    { _datepicker_bottom_shadow_overlay, 0, 279, 61, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _datepicker_glass_overlay, 0, 284, 35, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _datepicker_main_background, 0, 300, 180, 0, 0, 300, 180, touchgfx::Bitmap::RGB565 },
    { _datepicker_top_shadow_overlay, 0, 279, 61, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _demo_button_01, 0, 134, 55, 6, 2, 122, 50, touchgfx::Bitmap::ARGB8888 },
    { _demo_button_01_pressed, 0, 134, 55, 6, 2, 122, 50, touchgfx::Bitmap::ARGB8888 },
    { _demo_button_02_03, 0, 134, 55, 6, 2, 122, 50, touchgfx::Bitmap::ARGB8888 },
    { _demo_button_02_03_pressed, 0, 134, 55, 6, 2, 122, 50, touchgfx::Bitmap::ARGB8888 },
    { _demo_button_04, 0, 134, 55, 6, 2, 122, 50, touchgfx::Bitmap::ARGB8888 },
    { _demo_button_04_pressed, 0, 134, 55, 6, 2, 122, 50, touchgfx::Bitmap::ARGB8888 },
    { _demo_button_05_06, 0, 134, 55, 6, 2, 122, 50, touchgfx::Bitmap::ARGB8888 },
    { _demo_button_05_06_pressed, 0, 134, 55, 6, 2, 122, 50, touchgfx::Bitmap::ARGB8888 },
    { _easing_background, 0, 480, 272, 0, 0, 480, 272, touchgfx::Bitmap::RGB565 },
    { _easing_bottom_menu, 0, 130, 39, 0, 0, 130, 39, touchgfx::Bitmap::RGB565 },
    { _easing_bottom_menu_active, 0, 130, 39, 0, 0, 130, 39, touchgfx::Bitmap::RGB565 },
    { _easing_bottom_menu_selected, 0, 130, 39, 0, 0, 130, 39, touchgfx::Bitmap::RGB565 },
    { _easing_dot, 0, 13, 13, 2, 2, 9, 9, touchgfx::Bitmap::ARGB8888 },
    { _easing_menu_button, 0, 60, 60, 0, 0, 60, 60, touchgfx::Bitmap::RGB565 },
    { _easing_menu_button_pressed, 0, 60, 60, 0, 0, 60, 60, touchgfx::Bitmap::RGB565 },
    { _easing_side_menu_button, 0, 90, 62, 0, 0, 90, 62, touchgfx::Bitmap::RGB565 },
    { _easing_side_menu_button_active, 0, 90, 62, 0, 0, 90, 62, touchgfx::Bitmap::RGB565 },
    { _easing_side_menu_button_selected, 0, 90, 62, 0, 0, 90, 62, touchgfx::Bitmap::RGB565 },
    { _flag_dnk_active, 0, 56, 37, 3, 3, 50, 31, touchgfx::Bitmap::ARGB8888 },
    { _flag_dnk_inactive, 0, 44, 29, 0, 0, 44, 29, touchgfx::Bitmap::RGB565 },
    { _flag_gbr_active, 0, 56, 37, 3, 3, 50, 31, touchgfx::Bitmap::ARGB8888 },
    { _flag_gbr_inactive, 0, 44, 29, 0, 0, 44, 29, touchgfx::Bitmap::RGB565 },
    { _flag_jpn_active, 0, 56, 37, 3, 3, 50, 31, touchgfx::Bitmap::ARGB8888 },
    { _flag_jpn_inactive, 0, 44, 29, 0, 0, 44, 29, touchgfx::Bitmap::RGB565 },
    { _flag_nld_active, 0, 56, 37, 3, 3, 50, 31, touchgfx::Bitmap::ARGB8888 },
    { _flag_nld_inactive, 0, 44, 29, 0, 0, 44, 29, touchgfx::Bitmap::RGB565 },
    { _flag_ukr_active, 0, 56, 37, 3, 3, 50, 31, touchgfx::Bitmap::ARGB8888 },
    { _flag_ukr_inactive, 0, 44, 29, 0, 0, 44, 29, touchgfx::Bitmap::RGB565 },
    { _gauge_background, 0, 248, 248, 0, 0, 248, 248, touchgfx::Bitmap::RGB565 },
    { _gauge_needle_pin, 0, 18, 19, 4, 5, 10, 9, touchgfx::Bitmap::ARGB8888 },
    { _graphDot, 0, 9, 9, 2, 1, 5, 7, touchgfx::Bitmap::ARGB8888 },
    { _graph_background_bottom, 0, 480, 74, 0, 0, 480, 74, touchgfx::Bitmap::RGB565 },
    { _graph_menu_button, 0, 76, 73, 0, 0, 76, 73, touchgfx::Bitmap::RGB565 },
    { _graph_menu_button_pressed, 0, 76, 73, 0, 0, 76, 73, touchgfx::Bitmap::RGB565 },
    { _graph_toggle_button_active, 0, 55, 58, 0, 0, 55, 58, touchgfx::Bitmap::RGB565 },
    { _graph_toggle_button_inactive, 0, 55, 58, 0, 0, 55, 58, touchgfx::Bitmap::RGB565 },
    { _graph_top_menu_activate_button, 0, 74, 46, 10, 0, 54, 16, touchgfx::Bitmap::ARGB8888 },
    { _graph_top_menu_line, 0, 480, 3, 0, 0, 480, 3, touchgfx::Bitmap::RGB565 },
    { _green_area_button_active, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _green_area_button_inactive, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _green_dots_button_active, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _green_dots_button_inactive, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _green_line_button_active, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _green_line_button_inactive, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _half_circle_toggle_button_active, 0, 55, 58, 0, 0, 55, 58, touchgfx::Bitmap::RGB565 },
    { _half_circle_toggle_button_inactive, 0, 55, 58, 0, 0, 55, 58, touchgfx::Bitmap::RGB565 },
    { _menu_demo_screen_02, 0, 480, 272, 0, 0, 480, 272, touchgfx::Bitmap::RGB565 },
    { _menu_demo_screen_03, 0, 480, 272, 0, 0, 480, 272, touchgfx::Bitmap::RGB565 },
    { _menu_demo_screen_04, 0, 480, 272, 0, 0, 480, 272, touchgfx::Bitmap::RGB565 },
    { _menu_demo_screen_05, 0, 480, 272, 0, 0, 480, 272, touchgfx::Bitmap::RGB565 },
    { _menu_stage_stretch_left_side, 0, 50, 272, 0, 0, 50, 272, touchgfx::Bitmap::RGB565 },
    { _menu_stage_stretch_right_side, 0, 50, 272, 0, 0, 50, 272, touchgfx::Bitmap::RGB565 },
    { _new_graph, 0, 110, 58, 0, 0, 110, 58, touchgfx::Bitmap::RGB565 },
    { _new_graph_pressed, 0, 110, 58, 0, 0, 110, 58, touchgfx::Bitmap::RGB565 },
    { _new_pie_chart, 0, 110, 58, 0, 0, 110, 58, touchgfx::Bitmap::RGB565 },
    { _new_pie_chart_pressed, 0, 110, 58, 0, 0, 110, 58, touchgfx::Bitmap::RGB565 },
    { _pie_chart_legend_blue, 0, 28, 28, 0, 0, 28, 28, touchgfx::Bitmap::RGB565 },
    { _pie_chart_legend_blue_active, 0, 28, 28, 0, 0, 28, 28, touchgfx::Bitmap::RGB565 },
    { _pie_chart_legend_green, 0, 28, 28, 0, 0, 28, 28, touchgfx::Bitmap::RGB565 },
    { _pie_chart_legend_green_active, 0, 28, 28, 0, 0, 28, 28, touchgfx::Bitmap::RGB565 },
    { _pie_chart_legend_orange, 0, 28, 28, 0, 0, 28, 28, touchgfx::Bitmap::RGB565 },
    { _pie_chart_legend_orange_active, 0, 28, 28, 0, 0, 28, 28, touchgfx::Bitmap::RGB565 },
    { _pie_chart_legend_purple, 0, 28, 28, 0, 0, 28, 28, touchgfx::Bitmap::RGB565 },
    { _pie_chart_legend_purple_active, 0, 28, 28, 0, 0, 28, 28, touchgfx::Bitmap::RGB565 },
    { _pie_chart_legend_red, 0, 28, 28, 0, 0, 28, 28, touchgfx::Bitmap::RGB565 },
    { _pie_chart_legend_red_active, 0, 28, 28, 0, 0, 28, 28, touchgfx::Bitmap::RGB565 },
    { _pie_chart_legend_yellow, 0, 28, 28, 0, 0, 28, 28, touchgfx::Bitmap::RGB565 },
    { _pie_chart_legend_yellow_active, 0, 28, 28, 0, 0, 28, 28, touchgfx::Bitmap::RGB565 },
    { _pie_toggle_button_active, 0, 55, 58, 0, 0, 55, 58, touchgfx::Bitmap::RGB565 },
    { _pie_toggle_button_inactive, 0, 55, 58, 0, 0, 55, 58, touchgfx::Bitmap::RGB565 },
    { _poster_image_00, 0, 210, 218, 0, 0, 210, 218, touchgfx::Bitmap::RGB565 },
    { _poster_image_01, 0, 210, 218, 0, 0, 210, 218, touchgfx::Bitmap::RGB565 },
    { _poster_image_02, 0, 210, 218, 0, 0, 210, 218, touchgfx::Bitmap::RGB565 },
    { _product_presenter_menu_button, 0, 60, 54, 0, 0, 60, 54, touchgfx::Bitmap::RGB565 },
    { _product_presenter_menu_button_pressed, 0, 60, 54, 0, 0, 60, 54, touchgfx::Bitmap::RGB565 },
    { _product_presenter_nav_bar, 0, 480, 54, 0, 0, 480, 54, touchgfx::Bitmap::RGB565 },
    { _product_presenter_next, 0, 56, 53, 0, 0, 56, 53, touchgfx::Bitmap::RGB565 },
    { _product_presenter_next_pressed, 0, 56, 53, 0, 0, 56, 53, touchgfx::Bitmap::RGB565 },
    { _screen_swipe_dots_active, 0, 15, 5, 1, 1, 3, 3, touchgfx::Bitmap::ARGB8888 },
    { _screen_swipe_dots_inactive, 0, 15, 5, 1, 1, 3, 3, touchgfx::Bitmap::ARGB8888 },
    { _small_circle_bin_icon_active, 0, 30, 34, 9, 12, 12, 16, touchgfx::Bitmap::ARGB8888 },
    { _small_circle_bin_icon_inactive, 0, 30, 34, 9, 12, 12, 16, touchgfx::Bitmap::ARGB8888 },
    { _small_circle_folder_icon_active, 0, 30, 34, 6, 14, 18, 14, touchgfx::Bitmap::ARGB8888 },
    { _small_circle_folder_icon_inactive, 0, 30, 34, 6, 14, 18, 14, touchgfx::Bitmap::ARGB8888 },
    { _small_circle_papers_icon_active, 0, 30, 34, 9, 15, 13, 13, touchgfx::Bitmap::ARGB8888 },
    { _small_circle_papers_icon_inactive, 0, 30, 34, 9, 15, 13, 13, touchgfx::Bitmap::ARGB8888 }
};

namespace BitmapDatabase
{
const touchgfx::Bitmap::BitmapData* getInstance()
{
    return bitmap_database;
}
uint16_t getInstanceSize()
{
    return (uint16_t)(sizeof(bitmap_database) / sizeof(touchgfx::Bitmap::BitmapData));
}
}

